WFS plug-in should handle SRS from servers

2008-08-24 12:30 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11306

Description

After recent changes for CRS nomenclature, the add WFS layer dialog does not show anything in the Coordinate Reference System area

when connecting to a 1.0.0 server. The layer will load, but I'm not sure what CRS is used.

If the CRS is selected manually, parameter CRSNAME= having the epsg code for the chosen CRS is sent, but the metadata shows a

different CRS (perhaps the project CRS).

Looking in the WFS 1.0.0 (02-258) and 1.1.0 (04-494) specs I do not find any request parameters or responses using CRS in the name.

qgswfssourceselect.cpp has values like [[DefaultCRS]], [[OtherCRS]]

I noticed the problem with r9148. This was working as of r9071 - at least it showed the CRS/SRS in the dialog.

Associated revisions

Revision 79a4988c - 2008-08-24 10:17 PM - Jürgen Fischer

revert srs related wfs uri changes from r9108 (fixes #1246)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9156 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision de7be9eb - 2008-08-24 10:17 PM - Jürgen Fischer

revert srs related wfs uri changes from r9108 (fixes #1246)

git-svn-id: http://svn.osgeo.org/qgis/trunk@9156 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-08-24 01:20 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

should be back to normal with commit:de7be9eb (SVN r9157)

#2 - 2009-08-22 12:57 AM - Anonymous
Milestone Version 1.0.0 deleted
